summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Bergmann <sebastian@gentoo.org>2006-01-23 14:36:18 +0000
committerSebastian Bergmann <sebastian@gentoo.org>2006-01-23 14:36:18 +0000
commit342394054724c4398a609d321017f42d34794b84 (patch)
tree82551ba70394666fdc3e4271ae9ed3d9202a6426 /eclass/php-pear-r1.eclass
parentStable on amd64 wrt bug #119634. (diff)
downloadhistorical-342394054724c4398a609d321017f42d34794b84.tar.gz
historical-342394054724c4398a609d321017f42d34794b84.tar.bz2
historical-342394054724c4398a609d321017f42d34794b84.zip
Update for PEAR 1.4.
Diffstat (limited to 'eclass/php-pear-r1.eclass')
-rw-r--r--eclass/php-pear-r1.eclass13
1 files changed, 10 insertions, 3 deletions
diff --git a/eclass/php-pear-r1.eclass b/eclass/php-pear-r1.eclass
index 6183e91956c8..dbdf0359793f 100644
--- a/eclass/php-pear-r1.eclass
+++ b/eclass/php-pear-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.9 2006/01/09 15:48:03 sebastian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v 1.10 2006/01/23 14:36:18 sebastian Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Maintained by the PHP Herd <php-bugs@gentoo.org>
@@ -58,8 +58,15 @@ php-pear-r1_src_install() {
cd "${S}"
mv "${WORKDIR}/package.xml" "${S}"
- pear -d php_bin="${PHP_BIN}" install --nodeps --installroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
- rm -rf "${D}/usr/share/php/.filemap" \
+ if has_version '=dev-php/PEAR-PEAR-1.3*' ; then
+ pear -d php_bin="${PHP_BIN}" install --nodeps --installroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
+ else
+ pear -d php_bin="${PHP_BIN}" install --nodeps --packagingroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
+ fi
+ rm -rf "${D}/usr/share/php/.channels" \
+ "${D}/usr/share/php/.depdblock" \
+ "${D}/usr/share/php/.depdb" \
+ "${D}/usr/share/php/.filemap" \
"${D}/usr/share/php/.lock" \
"${D}/usr/share/php/.registry"
}